- Main Page
- Modules
- Classes
- Files
- Related Pages

# Datetime functions
[The db-lib API]

Functions to manipulate DBDATETIME structures. More...

## Functions
RETCODE | dbdatecmp (DBPROCESS *dbproc, DBDATETIME *d1, DBDATETIME *d2)
| Compare DBDATETIME values, similar to strcmp(3).
const char * | dbmonthname (DBPROCESS *dbproc, char *language, int monthnum, DBBOOL shortform)
| Get name of a month, in some human language.

## Detailed Description

Functions to manipulate DBDATETIME structures.

Defined by Sybase only. These are not implemented:

- dbdate4cmp()
- dbdate4zero()
- dbdatechar()
- dbdatename()
- dbdateorder()
- dbdatepart()
- dbdatezero()
- dbdayname()

## Function Documentation

RETCODE dbdatecmp | ( | DBPROCESS * | dbproc,
|  | DBDATETIME * | d1,
|  | DBDATETIME * | d2 |
| ) |  |  |

Compare DBDATETIME values, similar to strcmp(3).

Parameters:

  | dbproc | contains all information needed by db-lib to manage communications with the server.
  | d1 | a `DBDATETIME` structure address
  | d2 | another `DBDATETIME` structure address

Return values:

  | 0 | d1 = d2.
  | -1 | d1 < d2.
  | 1 | d1 > d2.

See also:
  dbdate4cmp(), dbmnycmp(), dbmny4cmp().

const char* dbmonthname | ( | DBPROCESS * | dbproc,
|  | char * | language,
|  | int | monthnum,
|  | DBBOOL | shortform |
| ) |  |  |

Get name of a month, in some human language.

Parameters:

  | dbproc | contains all information needed by db-lib to manage communications with the server.
  | language | ignored.
  | monthnum | number of the month, starting with 1.
  | shortform | set to `TRUE` for a three letter output ("Jan" - "Dec"), else zero.

Returns:
  address of null-terminated ASCII string, or `NULL` on error.

See also:
  db12hour(), dbdateorder(), dbdayname(), DBSETLNATLANG(), dbsetopt().